Subject: bug#1779: 23.0.60; proced with variable-pitch header line

From: Stephen Berman <[email-masked]>
Date: Sat, 03 Jan 2009 23:02:48 +0100

Proced does not align the attribute names in the header line with the
corresponding columns when header-line face has variable pitch.  To
reproduce:

1. emacs -Q
2. customize-face RET header-line RET, change the value of the inherit
   attribute to variable-pitch and the value of the height attribute to
   0.85, and set for the current session.
3. M-x proced

I know of two approaches to dealing with this situation in Emacs, namely
that of buff-menu.el and that of ibuffer.el.  The latter imposes a
fixed-pitch face in the header line, overriding the
user customization.  The former uses the display property with an
:align-to specification to get proper alignment.  Maybe one of these
will work with proced.el too.

In GNU Emacs 23.0.60.27 (i686-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2009-01-03 on escher